package com.supervision.police.service;

import com.supervision.common.domain.R;
import com.supervision.police.dto.AnalyseCaseDTO;
import com.supervision.police.dto.CaseStatus;
import com.supervision.police.dto.caseScore.CaseScoreDetailDTO;

public interface ModelService {

    R<?> analyseCase(AnalyseCaseDTO analyseCaseDTO);

    /**
     * 获取案件详情
     * @param caseId 案件id
     * @return
     */
    CaseScoreDetailDTO caseScoreDetail(String caseId);

    /**
     * 获取案件数据状态
     * @param caseId 案件id
     * @return
     */
    CaseStatus getCaseDateStatus(String caseId);
}
